cabal-install-3.10.2.1: The command-line interface for Cabal and Hackage.

Safe Haskell | None
Language | Haskell2010

Distribution.Client.Nix

# Documentation

findNixExpr :: GlobalFlags -> SavedConfig -> IO (Maybe FilePath) #

inNixShell :: IO Bool #

nixInstantiate :: Verbosity -> FilePath -> Bool -> GlobalFlags -> SavedConfig -> IO () #

nixShell #

Arguments

:: Verbosity |
-> FilePath |
-> GlobalFlags |
-> SavedConfig |
-> IO () | The action to perform inside a nix-shell. This is also the action that will be performed immediately if Nix is disabled.
-> IO () |